using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using skyscraper5.Skyscraper.Text;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x47,"BAT")]
    [BannedTable("SDT")]
    class BouquetNameDescriptor : TsDescriptor
    {
        public BouquetNameDescriptor(byte[] buffer)
        {
            BouquetName = En300468AnnexATextDecoder.GetInstance().Decode(buffer);
        }

        public string BouquetName { get; private set; }
    }
}
